# eric6.E5Network.E5XmlRpcClient

Module implementing a xmlrpc client for Qt.

### Global Attributes

None

### Classes

E5XmlRpcClient | Class implementing a xmlrpc client for Qt.

### Functions

None

## E5XmlRpcClient

Class implementing a xmlrpc client for Qt.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

E5XmlRpcClient | Constructor
__replyFinished | Private slot handling the receipt of a reply.
__sslErrors | Private slot to handle SSL errors.
abort | Public method to abort all calls.
call | Public method to call the remote server.
setUrl | Public slot to set the xmlrpc handler URL.

### Static Methods

None

#### E5XmlRpcClient (Constructor)

E5XmlRpcClient(url, parent=None)

Constructor

url
  xmlrpc handler URL (string or QUrl)
parent
  parent object (QObject)

#### E5XmlRpcClient.__replyFinished

__replyFinished(reply)

Private slot handling the receipt of a reply.

reply
  reference to the finished reply (QNetworkReply)

#### E5XmlRpcClient.__sslErrors

__sslErrors(reply, errors)

Private slot to handle SSL errors.

reply
  reference to the reply object (QNetworkReply)
errors
  list of SSL errors (list of QSslError)

#### E5XmlRpcClient.abort

abort()

Public method to abort all calls.

#### E5XmlRpcClient.call

call(method, args, responseCallback, errorCallback)

Public method to call the remote server.

method
  name of the remote method to be called (string)
args
  tuple of method arguments (tuple)
responseCallback
  method to be called with the returned result as a tuple (function)
errorCallback
  method to be called in case of an error with error code and error string (function)

#### E5XmlRpcClient.setUrl

setUrl(url)

Public slot to set the xmlrpc handler URL.

url
  xmlrpc handler URL (string or QUrl)

Up